Skip to main content
POST
/
remittance_accounts
Create a remittance account
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/remittance_accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_entity_id": "<string>",
  "label": "<string>",
  "label_translations": {
    "en": "<string>",
    "fr": "<string>"
  },
  "account_identifier": "<string>",
  "is_default": true,
  "note": "<string>",
  "address_line_1": "<string>",
  "address_line_2": "<string>",
  "city": "<string>",
  "administrative_area": "<string>",
  "province_code": "<string>",
  "country_code": "<string>",
  "postal_code": "<string>",
  "metadata": {
    "last_payment_amount": "<string>"
  },
  "tax_properties": [
    {
      "value": "<string>",
      "effective_from": "2023-12-25",
      "effective_to": "2023-12-25",
      "note": "<string>",
      "owner_id": "<string>"
    }
  ]
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/remittance_accounts"

payload = {
"business_entity_id": "<string>",
"label": "<string>",
"label_translations": {
"en": "<string>",
"fr": "<string>"
},
"account_identifier": "<string>",
"is_default": True,
"note": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"administrative_area": "<string>",
"province_code": "<string>",
"country_code": "<string>",
"postal_code": "<string>",
"metadata": { "last_payment_amount": "<string>" },
"tax_properties": [
{
"value": "<string>",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"note": "<string>",
"owner_id": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_entity_id: '<string>',
label: '<string>',
label_translations: {en: '<string>', fr: '<string>'},
account_identifier: '<string>',
is_default: true,
note: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
city: '<string>',
administrative_area: '<string>',
province_code: '<string>',
country_code: '<string>',
postal_code: '<string>',
metadata: {last_payment_amount: '<string>'},
tax_properties: [
{
value: '<string>',
effective_from: '2023-12-25',
effective_to: '2023-12-25',
note: '<string>',
owner_id: '<string>'
}
]
})
};

fetch('https://sandbox.nmbr.co/services/payroll/remittance_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "remittance_account",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "source_tax_property": {
      "id": "<id>",
      "object": "tax_property",
      "links": {
        "self": "/tax_properties/<id>"
      }
    },
    "account_provider": "ca_cra",
    "is_default": true,
    "is_editable": true,
    "is_deletable": true,
    "category": "ca_tax_agency",
    "label": "CRA Payroll Account",
    "label_translations": null,
    "label_translated": "CRA Payroll Account",
    "account_identifier": "123456789RP0001",
    "remitter_type": "regular",
    "remittance_management": "automatic",
    "note": "Main payroll remittance account",
    "address_line_1": "555 MacKenzie Ave",
    "address_line_2": null,
    "city": "Ottawa",
    "administrative_area": "ON",
    "province_code": "ON",
    "country_code": "CA",
    "postal_code": "K1A 0L5",
    "has_payments": false,
    "current_enrollments_count": 0,
    "pending_enrollments_count": 0,
    "metadata": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/remittance_accounts/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string
required
label
string
required
Maximum string length: 255
account_provider
enum<string>
Available options:
ca_ab_workers_compensation,
ca_bc_eht,
ca_bc_workers_compensation,
ca_cra,
ca_mb_eht,
ca_mb_workers_compensation,
ca_nb_workers_compensation,
ca_nl_eht,
ca_nl_workers_compensation,
ca_ns_workers_compensation,
ca_nt_government,
ca_nt_workers_compensation,
ca_nu_government,
ca_nu_workers_compensation,
ca_on_eht,
ca_on_workers_compensation,
ca_pe_workers_compensation,
ca_rq,
ca_sk_workers_compensation,
ca_yt_workers_compensation
category
enum<string>
Available options:
ca_benefit_provider,
ca_provincial_government,
ca_tax_agency,
ca_union,
ca_workers_compensation
label_translations
object | null

Optional translations for the label property.

account_identifier
string | null
Maximum string length: 255
is_default
boolean
remitter_type
enum<string>
Available options:
accelerated_threshold_1,
accelerated_threshold_2,
quarterly,
regular
remittance_management
enum<string>
Available options:
automatic,
manual
note
string | null
address_line_1
string | null
address_line_2
string | null
city
string | null
administrative_area
string | null
Maximum string length: 255
province_code
string | null

In Canada, must be an uppercase 2-letter province code: AB, BC, MB, NB, NL, NS, NT, NU, ON, PE, QC, SK, YT

country_code
string | null

Must be an uppercase 2-letter country code (ISO 3166-1 alpha-2, e.g., CA).

postal_code
string | null
Maximum string length: 10
metadata
Workers’ compensation · object

Additional data points for this account. The available fields depend on the account's category; null for categories that capture no metadata.

tax_properties
object[]

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("remittance_account").

data
Remittance Account · object